--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method gets called when User <em>user</em> wants to log in. It returns true or false depending on whether the password is right. If it is, the Netmask of the user is added to the list of acceptable Netmask unless it's already matched.
full_name: Irc::Bot::Auth::BotUser#login
is_singleton: false
name: login
params: (user, password=nil)
visibility: public
